"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getState = exports.updateState = exports.setInitialState = void 0;
var initialValues_1 = require("./utils/initialValues");
var state;
var setInitialState = function (options, getCredentials) {
    state = {
        cache: initialValues_1.initCache,
        options: options,
        tokenTries: 0,
        recoveryTries: 0,
        inRecovery: false,
        getCredentials: getCredentials
    };
};
exports.setInitialState = setInitialState;
var updateState = function (update) {
    state = __assign(__assign({}, state), update);
};
exports.updateState = updateState;
var getState = function () { return state; };
exports.getState = getState;
