var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { initCache } from './utils/initialValues';
var state;
export var setInitialState = function (options, getCredentials) {
    state = {
        cache: initCache,
        options: options,
        tokenTries: 0,
        recoveryTries: 0,
        inRecovery: false,
        getCredentials: getCredentials
    };
};
export var updateState = function (update) {
    state = __assign(__assign({}, state), update);
};
export var getState = function () { return state; };
